<?php

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'ApiUserEnable';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		$apiUsers = file_get_contents('/usr/conf/apiusers.conf');

		if (strstr($apiUsers, '# provisioning:')) {		// user is disabled
			if ($this->_get['Set'] == 'enabled') {
				$this->_execResult = (file_put_contents('/usr/conf/apiusers.conf', str_replace('# provisioning', 'provisioning', $apiUsers)) === false) ?
								false : true;
			}

			return($this->_execResult);
		} else if (strstr($apiUsers, 'provisioning:')) {	// user is enabled
			if ($this->_get['Set'] == 'disabled') {
				$this->_execResult = (file_put_contents('/usr/conf/apiusers.conf', str_replace('provisioning', '# provisioning', $apiUsers)) === false) ?
								false : true;
			}

			return($this->_execResult);
		}

		// user does not exist
		$apiUsers .= "\n" . (($this->_get['Set'] == 'enabled') ? '' : '# ') . 'provisioning:YWG41BPzVAkN6';
		$this->_execResult = (file_put_contents('/usr/conf/apiusers.conf', $apiUsers) === false) ? false : true;

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . ($this->_execResult ? 'success' : 'error'));
	}
}

?>
